<div class="wrapper">
    <div class="add-dashboard-container">
      <div class="input-field-container">
        <input type="text" placeholder="name" #name="ngModel" ngModel 
          required minlength="3" class="input-name">
        <div
        *ngIf="name.invalid && (name.dirty || name.touched)"
        >
        <div *ngIf="name.errors?.['required']" class="error-field">
            Name is required
          </div>
          <div *ngIf="name.errors?.['minlength']" class="error-field">
            Name must be at least 4 characters long
          </div>
        </div>
        <input type="text" placeholder="description" #description="ngModel" ngModel
        required maxlength="20" class="input-description">
        <div
        *ngIf="description.invalid && (description.dirty || description.touched)"
        >
        <div *ngIf="description.errors?.['required']" class="error-field">
          Description is required
          </div>
          <div *ngIf="description.errors?.['maxlength']" class="error-field">
          The description should not exceed 20 characters
          </div>
        </div>
      </div>
    <div class="button-field-container">
        <button class="btn-add"
        type="button" (click)="addBoard(name.value, description.value)">Add dashboard</button>
        <button class="btn-close"
        type="button" (click)="modalService.closeModal()">Close me</button>
    </div>
    </div>
    </div>
    
    
    
    
    
    
    
    
    